/*
 * FileMatchingExceptionTest.java
 *
 * Copyright (c) 2005 TopCoder, Inc., All Rights Reserved
 */
package com.topcoder.file.statistics;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;


/**
 * Unit tests for FileMatchingException implementation.
 *
 * @author TCSDEVELOPER
 * @version 1.0
 */
public class FileMatchingExceptionTest extends TestCase {
    /**
     * Creates a test suite for the tests in this test case.
     *
     * @return a TestSuite for this test case
     */
    public static Test suite() {
        TestSuite suite = new TestSuite(FileMatchingExceptionTest.class);

        return suite;
    }

    /**
     * Test of constructor with one argument. Verifies it by getting the message being set.
     */
    public void testConstructor_OneArg() {
        String message = "message";
        FileMatchingException exception = new FileMatchingException(message);

        assertEquals("Fails to set message", message, exception.getMessage());
    }

    /**
     * Test of constructor with two arguments. Verifies it by getting the cause being set.
     */
    public void testConstructor_TwoArg() {
        Exception cause = new Exception();
        FileMatchingException exception = new FileMatchingException("message", cause);

        assertEquals("Fails to set cause", cause, exception.getCause());
    }
}
